### Method

# WPEPlatform BufferDMABufFormatsBuilder append_group

#### Declaration [src]

    void
    wpe_buffer_dma_buf_formats_builder_append_group (
      WPEBufferDMABufFormatsBuilder* builder,
      const char* device,
      WPEBufferDMABufFormatUsage usage
    )

#### Description [src]

Append a new group for `device` and `usage` to `builder`. If `device` is `NULL`, the main device passed to `wpe_buffer_dma_buf_formats_builder_new()` should be used.

#### Parameters

`device`

  Type: `const char*`

  A device.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`usage`

  Type: `WPEBufferDMABufFormatUsage`

  A `WPEBufferDMABufFormatUsage`.